/**
 * $Id: scanner_ftp.cpp,v 1.3 2002/11/05 18:34:10 plasmahh Exp $
 * $Revision: 1.3 $
 * $Author: plasmahh $
 * $Date: 2002/11/05 18:34:10 $
 */

#include "scanner_ftp.h"


scanner_ftp::~scanner_ftp()
{
}

BOOL scanner_ftp::load_rfc_fps (void)/*{{{*/
{
    return load_fp("ftp-fingerprints-rfc","FP_RFC",FP_Rfc,false);
}/*}}}*/

BOOL scanner_ftp::load_return_fps (void)/*{{{*/
{
    return load_fp("ftp-fingerprints-return","FP_RETURN",FP_Return,true);
}/*}}}*/

BOOL scanner_ftp::load_conf_fps (void)/*{{{*/
{
    return load_fp("ftp-fingerprints-conf","FP_CONF",FP_Conf,true);
}/*}}}*/

mstring scanner_ftp::is_server (void)/*{{{*/
{
    mstring server("Unknown");
    sock.Send ("EHLO myhost.domain.com\r\n");	// and look if Receive() == 250 = OK
    sock.Disconnect();
    return server;
}/*}}}*/

BOOL scanner_ftp::do_login (const mstring& username, const mstring& password)/*{{{*/
{ 
    mstring answer;
    if ( debuglevel > 1 )
    {
	cout << "Logging in to FTP Server..." << endl;
	cout << "Connection Data : " << endl;
	cout << "port "   << sock.get_port () << endl;
	cout << "socket " << sock.get_fd ()   << endl;
	cout << "target " << sock.get_peer () << endl;

	cout << "SEND " << "USER " << username << "\r\n" << endl;
    } 

    sock.Send (mstring("USER " ) + username + mstring("\r\n"),recv_timeout);
    answer = get_rfc_answer();
    sock.Send (mstring("PASS " ) + password + mstring("\r\n"),recv_timeout);
    answer = get_rfc_answer();
    if ( debuglevel > 1 )
    {
	cout << "RECV \"" << answer << "\""<<endl;
    }
    return true;
}/*}}}*/

/**
 *$Log: scanner_ftp.cpp,v $
 *Revision 1.3  2002/11/05 18:34:10  plasmahh
 *beta release stuff
 *
 *Revision 1.2  2002/11/04 23:45:52  plasmahh
 *first addition, implementation and changes for ftp fingerprinting
 *rfc fp fix still mising !
 *
 *Revision 1.1  2002/11/03 22:25:57  plasmahh
 *new stuff for better rfc fingerprinting and preperation for ftp support... other protocolls might follow
 *
 */
